%global modname websocket
%global distname websocket-client
%global eggname websocket_client

Name:               python3-websocket-client
Version:            0.46.0
Release:            1%{?dist}
Summary:            WebSocket client for python
License:            LGPLv2
URL:                https://github.com/websocket-client/websocket-client
Source0:            https://files.pythonhosted.org/packages/source/w/%{distname}/%{eggname}-%{version}.tar.gz
BuildArch:          noarch

%global _description\
python-websocket-client module is WebSocket client for python. This\
provides the low level APIs for WebSocket. All APIs are the synchronous\
functions.\
\
python-websocket-client supports only hybi-13.


%description %_description


%package -n python%{python3_pkgversion}-websocket-client
Summary:            %{summary}
BuildRequires:      python%{python3_pkgversion}-devel
BuildRequires:      python%{python3_pkgversion}-setuptools
BuildRequires:      python%{python3_pkgversion}-six
Requires:           python%{python3_pkgversion}-six


%description -n python%{python3_pkgversion}-websocket-client %_description


%prep
%setup -q -n %{eggname}-%{version}

rm -r %{eggname}.egg-info


%build
%py3_build


%install
%py3_install

# unbundle cacert and link in the mozilla ca
rm %{buildroot}%{python3_sitelib}/%{modname}/cacert.pem
ln -s /etc/pki/tls/cert.pem %{buildroot}%{python3_sitelib}/%{modname}/cacert.pem

# remove tests that got installed into the buildroot
rm -r %{buildroot}%{python3_sitelib}/%{modname}/tests

mv %{buildroot}%{_bindir}/wsdump.py %{buildroot}%{_bindir}/wsdump-%{python3_version}


%check
%{__python3} setup.py test


%files -n python%{python3_pkgversion}-websocket-client
%license LICENSE
%doc README.rst
%{python3_sitelib}/%{modname}/
%{python3_sitelib}/%{eggname}*%{version}*
%{_bindir}/wsdump-%{python3_version}


%changelog
* Wed Jan 03 2018 Carl George <carl@george.computer> - 0.46.0-1
- Latest upstream

* Wed Dec 27 2017 Carl George <carl@george.computer> - 0.45.0-1
- Initial EPEL7 package
